# DataExchange
TKIGES
IGESDimen

# IGESDimen_DimensionTolerance Class Reference

defines Dimension Tolerance, Type <406>, Form <29>
in package IGESDimen
Provides tolerance information for a dimension which
can be used by the receiving system to regenerate the
dimension.

`#include <IGESDimen_DimensionTolerance.hxx>`

Inheritance diagram for IGESDimen_DimensionTolerance:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDimen_DimensionTolerance ()
Standard_EXPORT void | Init (const Standard_Integer nbPropVal, const Standard_Integer aSecTolFlag, const Standard_Integer aTolType, const Standard_Integer aTolPlaceFlag, const Standard_Real anUpperTol, const Standard_Real aLowerTol, const Standard_Boolean aSignFlag, const Standard_Integer aFracFlag, const Standard_Integer aPrecision)

This method is used to set the fields of the class
DimensionTolerance
- nbPropVal : Number of property values, default = 8
- aSecTolFlag : Secondary Tolerance Flag
0 = Applies to primary dimension
1 = Applies to secondary dimension
2 = Display values as fractions
- aTolType : Tolerance Type
1 = Bilateral
2 = Upper/Lower
3 = Unilateral Upper
4 = Unilateral Lower
5 = Range - min before max
6 = Range - min after max
7 = Range - min above max
8 = Range - min below max
9 = Nominal + Range - min above max
10 = Nominal + Range - min below max
- aTolPlaceFlag : Tolerance Placement Flag
1 = Before nominal value
2 = After nominal value
3 = Above nominal value
4 = Below nominal value
- anUpperTol : Upper Tolerance
- aLowerTol : Lower Tolerance
- aSignFlag : Sign Suppression Flag
- aFracFlag : Fraction Flag
0 = Display values as decimal numbers
1 = Display values as mixed fractions
2 = Display values as fractions
- aPrecision : Precision Value
.

Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values, always = 8
Standard_EXPORT Standard_Integer | SecondaryToleranceFlag () const
| returns the Secondary Tolerance Flag
Standard_EXPORT Standard_Integer | ToleranceType () const
| returns the Tolerance Type
Standard_EXPORT Standard_Integer | TolerancePlacementFlag () const
| returns the Tolerance Placement Flag, default = 2
Standard_EXPORT Standard_Real | UpperTolerance () const
| returns the Upper or Bilateral Tolerance Value
Standard_EXPORT Standard_Real | LowerTolerance () const
| returns the Lower Tolerance Value
Standard_EXPORT Standard_Boolean | SignSuppressionFlag () const
| returns the Sign Suppression Flag
Standard_EXPORT Standard_Integer | FractionFlag () const
| returns the Fraction Flag
Standard_EXPORT Standard_Integer | Precision () const
| returns the Precision for Value Display
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbPropertyValues
Standard_Integer | theSecondaryToleranceFlag
Standard_Integer | theToleranceType
Standard_Integer | theTolerancePlacementFlag
Standard_Real | theUpperTolerance
Standard_Real | theLowerTolerance
Standard_Boolean | theSignSuppressionFlag
Standard_Integer | theFractionFlag
Standard_Integer | thePrecision

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_DimensionTolerance::IGESDimen_DimensionTolerance | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESDimen_DimensionTolerance::FractionFlag | ( |  | ) | const

Standard_EXPORT const IGESDimen_DimensionTolerance::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDimen_DimensionTolerance::Init | ( | const Standard_Integer | nbPropVal,
|  | const Standard_Integer | aSecTolFlag,
|  | const Standard_Integer | aTolType,
|  | const Standard_Integer | aTolPlaceFlag,
|  | const Standard_Real | anUpperTol,
|  | const Standard_Real | aLowerTol,
|  | const Standard_Boolean | aSignFlag,
|  | const Standard_Integer | aFracFlag,
|  | const Standard_Integer | aPrecision
| ) |

Standard_EXPORT Standard_Real IGESDimen_DimensionTolerance::LowerTolerance | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_DimensionTolerance::NbPropertyValues | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_DimensionTolerance::Precision | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_DimensionTolerance::SecondaryToleranceFlag | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESDimen_DimensionTolerance::SignSuppressionFlag | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_DimensionTolerance::TolerancePlacementFlag | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_DimensionTolerance::ToleranceType | ( |  | ) | const

Standard_EXPORT Standard_Real IGESDimen_DimensionTolerance::UpperTolerance | ( |  | ) | const

## Field Documentation

Standard_Integer IGESDimen_DimensionTolerance::theFractionFlag `[private]`

Standard_Real IGESDimen_DimensionTolerance::theLowerTolerance `[private]`

Standard_Integer IGESDimen_DimensionTolerance::theNbPropertyValues `[private]`

Standard_Integer IGESDimen_DimensionTolerance::thePrecision `[private]`

Standard_Integer IGESDimen_DimensionTolerance::theSecondaryToleranceFlag `[private]`

Standard_Boolean IGESDimen_DimensionTolerance::theSignSuppressionFlag `[private]`

Standard_Integer IGESDimen_DimensionTolerance::theTolerancePlacementFlag `[private]`

Standard_Integer IGESDimen_DimensionTolerance::theToleranceType `[private]`

Standard_Real IGESDimen_DimensionTolerance::theUpperTolerance `[private]`

The documentation for this class was generated from the following file:

- IGESDimen_DimensionTolerance.hxx